MSPUBCollector.cpp File Reference
`#include "MSPUBCollector.h"`
`#include <algorithm>`
`#include <functional>`
`#include <math.h>`
`#include <memory>`
`#include <boost/multi_array.hpp>`
`#include <unicode/ucsdet.h>`
`#include <unicode/uloc.h>`
`#include "Arrow.h"`
`#include "Coordinate.h"`
`#include "Dash.h"`
`#include "Fill.h"`
`#include "Line.h"`
`#include "Margins.h"`
`#include "MSPUBConstants.h"`
`#include "MSPUBTypes.h"`
`#include "PolygonUtils.h"`
`#include "Shadow.h"`
`#include "ShapeGroupElement.h"`
`#include "TableInfo.h"`
`#include "VectorTransformation2D.h"`
`#include "libmspub_utils.h"`

## Namespaces

namespace | libmspub

## Functions

Coordinate | libmspub::getFudgedCoordinates (Coordinate coord, const std::vector< Line > &lines, bool makeBigger, BorderPosition borderPosition)
void | libmspub::noop (const CustomShape *)
void | libmspub::no_op ()
void | libmspub::endShapeGroup (librevenge::RVNGDrawingInterface *painter)